Sponsored Content
Full Discussion: TEST operator help
Top Forums Shell Programming and Scripting TEST operator help Post 302271584 by Franklin52 on Friday 26th of December 2008 01:08:04 PM
Old 12-26-2008
Something like this?

Code:
if [ $# -eq 1 ] && ([ "$ACTION" = "PAGE" ] || [ "$ACTION" = "PULSE" ]) ; then

Or with the ksh syntax:

Code:
if [[ "$A" -eq 2 ]] && [[ "$B" -eq 6  || "$C" -eq 9 ]] ; then

Regards

Last edited by Franklin52; 12-26-2008 at 02:19 PM.. Reason: adding alternative
 

10 More Discussions You Might Find Interesting

1. Shell Programming and Scripting

:0: unknown test operator

I have gotten the script up to this point and it works fine a system but when i copy it to another unix server running solaris 9 as the original one , its gives an error './mon_fs.sh: 0: unknown test operator' . (see script bellow) can the Gurus see to this as i am just a beginner with... (2 Replies)
Discussion started by: ibroxy
2 Replies

2. UNIX for Advanced & Expert Users

unknown test operator

Hi, I have the following shell script : Nbr_BD_Link=0 Nbr_BD_Link=` sqlplus sysadm/${PSWD}@${DB_Name} << EOF | tail -4 | head -1 2>/dev/null set head off feedback off ; select count(*) from dba_db_links ; exit ; EOF ` echo ${Nbr_BD_Link} if ; then ... (4 Replies)
Discussion started by: big123456
4 Replies

3. Shell Programming and Scripting

test: unknown operator status

hi I get test: unknown operator status if then echo "OK." return 0 else echo "not ok" 2>&1 exit -1 fi I tried to change "A" with 'A' --> same error I tried to change if , I am getting: (3 Replies)
Discussion started by: melanie_pfefer
3 Replies

4. Shell Programming and Scripting

FIle (directory) test operator (bash)

I'm almost pulling out my hair trying to figure out what's wrong with this... there's no reason I can see that it shouldn't be working. It seems that the code acts as though the conditional statement is true no matter what - I've even tried removing the negation operator, but it always goes into... (5 Replies)
Discussion started by: wildbluefaerie
5 Replies

5. Shell Programming and Scripting

unknown test operator

hi all, i am using the below command in my script if ; then This statement is causing the problme "ScriptName.ksh: XXX-XXX: unknown test operator" could you please suggest me , how can i avoid these messages. Singhal (7 Replies)
Discussion started by: singhald
7 Replies

6. Shell Programming and Scripting

Solaris test operator -gt

Hello people, I created the below script on HP-UX #!/bin/sh SESSION_NO=`sqlplus -s ${DRBILOUKOS_USER} <<EOF SET HEAD OFF @/export/home/drbiloukos/scripts/sessions_count/no_of_sessions.sql EOF` SESSION_THRESHOLD=250 MAX_SESSIONS=`sqlplus -s ${DRBILOUKOS_USER} <<EOF SET HEAD OFF... (2 Replies)
Discussion started by: drbiloukos
2 Replies

7. Shell Programming and Scripting

Test operator

In my script (currently running on Solaris ) I'm testing for zero size with wild character. There are mutilple files exist in the directory. if then filename=`ls -1tr ${fileformat}.${date}.? | tail -1` else ${BATCH_FATAL:-echo} "$0:ERROR:No file found ${source}/${fileformat}.${date}.?"... (5 Replies)
Discussion started by: gauravgoel83
5 Replies

8. Shell Programming and Scripting

Unknown test operator

Hi , Os - Solaris Shell - Ksh I am getting below error in if condition + id + ./om_wf_complete.sh: gid=4081(Infadmn): unknown test operator + exit 1 if ; then touch /home/odwt/1.0.0/out/oworkflow.dat chmod 777 /home/odwt/1.0.0/out/oworkflow.dat elif ; then touch... (8 Replies)
Discussion started by: nag_sathi
8 Replies

9. Shell Programming and Scripting

Operator test in bash

Hello, can you please help me because I am totally confused with a simple script: #!/bin/bash ] || ] && echo "Good Morning" ] || ] && echo "Good Night" For me, these two strings are indentical: false || false and there is no point to execute echo command. But the run result is... (5 Replies)
Discussion started by: AndreiM
5 Replies

10. Shell Programming and Scripting

Unknown test operator

O/S solaris 9 shell ksh if then chk_op="WARNING...reboot within the last 24hrs, restarted at `who -r | awk '{print $4$5"@"$6}'`" ; else if ; then last_reboot1=`who -b | awk '{print $4" "$5" "$6}'` last_reboot2='..OK..'`uptime | awk '{print$3" "$4}'` ... (4 Replies)
Discussion started by: squrcles
4 Replies
ABRT-ACTION-ANALYZ(1)						    ABRT Manual 					     ABRT-ACTION-ANALYZ(1)

NAME
abrt-action-analyze-backtrace - Analyzes C/C++ backtrace, generates duplication hash, backtrace rating, and identifies crash function in problem directory DIR. SYNOPSIS
abrt-action-analyze-backtrace [-v] [-d DIR] DESCRIPTION
The tool reads a file named backtrace from problem directory, generates duplication hash, backtrace rating, and identifies crash function. Then it saves this data as new elements duphash, rating, crash_function in this problem directory. Integration with libreport events abrt-action-analyze-backtrace can be used as a secondary analyzer, after backtrace has been generated. The data generated by abrt-action-analyze-backtrace is useful for reporting the crash to bug databases: rating makes it possible to prevent reporting of bugs with low quality (non-informative) backtraces, duplication hash is used to find already filed bugs about similar crashes. Example usage in report_event.conf: EVENT=analyze analyzer=CCpp abrt-action-generate-backtrace || exit $? abrt-action-analyze-backtrace OPTIONS
-d DIR Path to problem directory. -v Be more verbose. Can be given multiple times. AUTHORS
o ABRT team SEE ALSO
abrt-action-generate-backtrace abrt 2.1.11 06/18/2014 ABRT-ACTION-ANALYZ(1)
All times are GMT -4. The time now is 01:31 PM.
Unix & Linux Forums Content Copyright 1993-2022. All Rights Reserved.
Privacy Policy